import request from '@/utils/request'

// 查询信息管理列表
export function listMes(query) {
  return request({
    url: '/system/mes/list',
    method: 'get',
    params: query
  })
}

// 查询信息管理详细
export function getMes(id) {
  return request({
    url: '/system/mes/' + id,
    method: 'get'
  })
}
// 审核信息管理详细
export function getM(id) {
  return request({
    url: '/system/mes/check'+id ,
    method: 'get'

  })
}

// 新增信息管理
export function addMes(data) {
  return request({
    url: '/system/mes',
    method: 'post',
    data: data
  })
}

// 修改信息管理
export function updateMes(data) {
  return request({
    url: '/system/mes',
    method: 'put',
    data: data
  })
}

// 删除信息管理
export function delMes(id) {
  return request({
    url: '/system/mes/' + id,
    method: 'delete'
  })
}
// 删除信息管理
// export function delMes(id) {
//   return request({
//     url: '/system/mes/updateDel' + id,
//     method: 'post'
//   })
// }


// 导出信息管理
export function exportMes(data) {
  return request({
    url: '/system/mes/export',
    method: 'get',
    params: data
  })
}

//上传信息管理
export function uploadFile(query) {
  return request({
    url: '/system/mes/uploadfile',
    method: 'post',
    data: query
  })
}
// 上传图片
export function uploadFileImg(query) {
  return request({
    url: '/system/mes/uploadfileImg',
    method: 'post',
    data: query
  })
}
// 查询状态值为审核通过的数据且没有被删除
export function listMesOne(query) {
  return request({
    url: '/system/mes/listOne',
    method: 'get',
    params: query
  })
}
// 审核
export function check(id) {
  return request({
    url: '/system/mes/check/' + id,
    method: 'get'
  })
}

